Skip to main content
POST
/
v1
/
scripts
/
{script_id}
/
deploy
Deploy script
curl --request POST \
  --url https://api.skyvern.com/v1/scripts/{script_id}/deploy \
  --header 'Content-Type: application/json' \
  --data '
{
  "files": {
    "content": "cHJpbnQoIkhlbGxvLCBXb3JsZCEiKQ==",
    "encoding": "base64",
    "mime_type": "text/x-python",
    "path": "src/main.py"
  }
}
'
{
  "script_id": "s_abc123",
  "version": 1,
  "file_count": 123,
  "file_tree": {},
  "created_at": "2023-11-07T05:31:56Z",
  "run_id": "<string>"
}

Headers

x-api-key
string | null

Skyvern API key for authentication. API key can be found at https://app.skyvern.com/settings.

Path Parameters

script_id
string
required

The unique identifier of the script

Example:

"s_abc123"

Body

application/json

Request model for deploying a script with updated files.

files
ScriptFileCreate · object[]
required

Array of files to include in the script

Example:
{
"content": "cHJpbnQoIkhlbGxvLCBXb3JsZCEiKQ==",
"encoding": "base64",
"mime_type": "text/x-python",
"path": "src/main.py"
}

Response

Successful Response

script_id
string
required

Unique script identifier

Example:

"s_abc123"

version
integer
required

Script version number

Example:

1

file_count
integer
required

Total number of files in the script

file_tree
File Tree · object
required

Hierarchical file tree structure

created_at
string<date-time>
required

Timestamp when the script was created

run_id
string | null

ID of the workflow run or task run that generated this script